---
layout: docs
page_title: auth-methods delete - Command
description: >-
  The "auth-methods delete" command deletes an existing auth method resource.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# auth-methods delete

Command: `boundary auth-methods delete`

The `auth-methods delete` command deletes an auth method given its ID.

## Example

The following example deletes an auth method with the ID, `moidc_oHt4HQFCrN`.

```shell-session
$ boundary auth-methods delete -id amoidc_oHt4HQFCrN
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary auth-methods delete [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id` `(string: "")` - The ID of the auth method to delete.

@include 'cmd-option-note.mdx'